# FileAttributes (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.sftp
Class FileAttributes

    java.lang.Object
      net.schmizz.sshj.sftp.FileAttributes

    public final class FileAttributes

extends Object

Nested Class Summary
`static class` `FileAttributes.Builder`
`static class` `FileAttributes.Flag`

Field Summary
`static FileAttributes` `EMPTY`

Constructor Summary
`FileAttributes(int mask, long size, int uid, int gid, FileMode mode, long atime, long mtime, Map<String,String> ext)`

Method Summary
`long` `getAtime()`
`String` `getExtended(String type)`
`int` `getGID()`
`FileMode` `getMode()`
`long` `getMtime()`
`Set<FilePermission>` `getPermissions()`
`long` `getSize()`
`FileMode.Type` `getType()`
`int` `getUID()`
`boolean` `has(FileAttributes.Flag flag)`
`byte[]` `toBytes()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final FileAttributes EMPTY

Constructor Detail

### FileAttributes

    public FileAttributes(int mask,
                          long size,
                          int uid,
                          int gid,
                          FileMode mode,
                          long atime,
                          long mtime,
                          Map<String,String> ext)

Method Detail

### has

    public boolean has(FileAttributes.Flag flag)

### getSize

    public long getSize()

### getUID

    public int getUID()

### getGID

    public int getGID()

### getMode

    public FileMode getMode()

### getPermissions

    public Set<FilePermission> getPermissions()

### getType

    public FileMode.Type getType()

### getAtime

    public long getAtime()

### getMtime

    public long getMtime()

### getExtended

    public String getExtended(String type)

### toBytes

    public byte[] toBytes()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.